View Issue Details

IDProjectCategoryView StatusLast Update
0012823MediaMonkey 4DLNA/UPnPpublic2020-08-11 15:14
ReporterLudek Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version4.1 
Target Version4.1.9Fixed in Version4.1.9 
Summary0012823: Tracks are not playable when MMW server is browsed outside of LAN
Description1) Configure MMW server to port 53000
2) Enable port forwarding for the port 53000 on your router
3) Install PlugPlayer on Android Device (AD)
4) Disable WiFi on your AD so that external access is ensured
5) Manually enter following link to the PlugPlayer:
http://your_public_ip:53000/DeviceDescription.xml

=> The MMW server is visible and browseable by the PlugPlayer, but tracks does not play until you enable WiFi
Additional InformationTest note: The same issue happens with the others servers:

- Serviio also does not play the tracks, but it has nice own integrated (and password protected) HTML5 media browser, viz http://serviio.org/component/content/article/10-uncategorised/59-mediabrowser

- WMP is not browseable this way at all, but also solves the remote access another way (via online ID)
TagsNo tags attached.
Fixed in build1755

Relationships

related to 0012827 feedbackpetr MediaMonkey 5 Web version of MM5 
related to 0012826 closedLudek MediaMonkey 4 Automatical port mapping using UPnP (for internet access to media server) 
related to 0013443 closedLudek MediaMonkey 5 "Create public access" feature on media server 
related to 0016882 closedLudek MediaMonkey 5 UPnP/DLNA playback may fail with GRE tunnel (LAN devices have public IPs) 

Activities

Ludek

2015-08-25 13:30

developer   ~0042847

Fixed in 4.1.9.1755 and merged to 5.0.0

peke

2015-09-01 22:43

developer   ~0042882

Verified 1755